<script type="text/javascript" src="/js/cubix-ui-v1.0.source.js"></script>
<script type="text/javascript" src="/js/cubix-button-v1.0.source.js"></script>
<script type="text/javascript" src="/js/cubix-shadow-v1.0.source.js"></script>
<script type="text/javascript" src="/js/cubix-popup-v3.0.source.js"></script>
<script type="text/javascript" src="/js/cubix-grid-v2.0.source.js"></script>
<script type="text/javascript" src="/js/cubix-tip-v1.0.source.js"></script>
 <script src="https://cdn.tiny.cloud/1/dauxtgqs9iif4r7cjdlay5xkwgo9l57anovbdy6t9be91vfa/tinymce/5/tinymce.min.js" referrerpolicy="origin"></script>

<script type="text/javascript" src="/js/moo-uploader.js"></script>
<script type="text/javascript" src="/js/mootabs1.2.js"></script>

<? $this->headLink()->prependStylesheet($this->baseUrl() . '/css/moo-uploader/style.css') ?>

<script type="text/javascript">
<? $langs = Cubix_I18n::getLangs(true) ?>
<? foreach ($langs as $lang):?>
<? $lngs[] = "post_tiny_" . $lang; ?>
<? endforeach; ?>

	var initTinyCloud = function() {
		tinymce.remove();
		<? foreach ($langs as $lang):?>
	
	tinymce.init({
		  selector: '#post_tiny_<?= $lang ?>',
		  plugins: 'print preview paste importcss searchreplace autolink autosave save directionality code visualblocks visualchars fullscreen image link media template codesample table charmap hr pagebreak nonbreaking anchor toc insertdatetime advlist lists wordcount imagetools textpattern noneditable help charmap quickbars emoticons',
		  imagetools_cors_hosts: ['picsum.photos'],
		  menubar: 'file edit view insert format tools table help',
		  toolbar: 'undo redo | bold italic underline strikethrough | fontselect fontsizeselect formatselect | alignleft aligncenter alignright alignjustify | outdent indent |  numlist bullist | forecolor backcolor removeformat | pagebreak | charmap emoticons | fullscreen  preview save print | insertfile image media template link anchor codesample | ltr rtl',
		  toolbar_sticky: true,
		  autosave_ask_before_unload: true,
		  autosave_interval: '30s',
		  autosave_prefix: '{path}{query}-{id}-',
		  autosave_restore_when_empty: false,
		  autosave_retention: '2m',
		  image_advtab: true,
		  link_list: [
		    { title: 'My page 1', value: 'http://www.tinymce.com' },
		    { title: 'My page 2', value: 'http://www.moxiecode.com' }
		  ],
		  image_list: [
		    { title: 'My page 1', value: 'http://www.tinymce.com' },
		    { title: 'My page 2', value: 'http://www.moxiecode.com' }
		  ],
		  image_class_list: [
		    { title: 'None', value: '' },
		    { title: 'Some class', value: 'class-name' }
		  ],
		  importcss_append: true,
		  file_picker_callback: function (callback, value, meta) {
		    /* Provide file and text for the link dialog */
		    if (meta.filetype === 'file') {
		      callback('https://www.google.com/logos/google.jpg', { text: 'My text' });
		    }

		    /* Provide image and alt text for the image dialog */
		    if (meta.filetype === 'image') {
		      callback('https://www.google.com/logos/google.jpg', { alt: 'My alt text' });
		    }

		    /* Provide alternative source and posted for the media dialog */
		    if (meta.filetype === 'media') {
		      callback('movie.mp4', { source2: 'alt.ogg', poster: 'https://www.google.com/logos/google.jpg' });
		    }
		  },
		  templates: [
		        { title: 'New Table', description: 'creates a new table', content: '<div class="mceTmpl"><table width="98%%"  border="0" cellspacing="0" cellpadding="0"><tr><th scope="col"> </th><th scope="col"> </th></tr><tr><td> </td><td> </td></tr></table></div>' },
		    { title: 'Starting my story', description: 'A cure for writers block', content: 'Once upon a time...' },
		    { title: 'New list with dates', description: 'New List with dates', content: '<div class="mceTmpl"><span class="cdate">cdate</span><br /><span class="mdate">mdate</span><h2>My List</h2><ul><li></li><li></li></ul></div>' }
		  ],
		  template_cdate_format: '[Date Created (CDATE): %m/%d/%Y : %H:%M:%S]',
		  template_mdate_format: '[Date Modified (MDATE): %m/%d/%Y : %H:%M:%S]',
		  height: 600,
		  image_caption: true,
		  quickbars_selection_toolbar: 'bold italic | quicklink h2 h3 blockquote quickimage quicktable',
		  noneditable_noneditable_class: 'mceNonEditable',
		  toolbar_mode: 'sliding',
		  contextmenu: 'link image imagetools table',
		  content_style: 'body { font-family:Helvetica,Arial,sans-serif; font-size:14px }'
		 });
<? endforeach; ?>

};




Cubix.ready = function () {	
	new Cubix.Shadow($('content'));
	var getFilterParams = function () {
		var uri = new URI('?' + $$('form')[0].toQueryString());
		return uri.get('data');
	};
	
	var popup = new Cubix.Popup.Ajax({
		abar: [
			{ caption: 'Save', icon: 'accept', action: Cubix.Popup.Actions.SaveValid },
			{ caption: 'Close', icon: 'cancel', action: Cubix.Popup.Actions.Close }
		],
		width: 750
	});

	var removePhoto = function(it) {
		var req = new Request.JSON({
			method: 'get',
			url: '/blog/ajax-remove-photo?image_id=' + it.get('rel'),
			onComplete: function(resp) {
				if ( resp.status == 'success' ) {
					it.getParent('div').destroy();
				} else {

				}
			}
		}).send();
	};

	var removeCover = function(it) {
		var req = new Request.JSON({
			method: 'get',
			url: '/blog/ajax-remove-cover?image_id=' + it.get('rel'),
			onComplete: function(resp) {
				if ( resp.status == 'success' ) {
					it.getParent('div').destroy();
				} else {

				}
			}
		}).send();
	};

	popup.addEvent('beforesubmit', function () {
		<?php foreach ($lngs as $l):?>
			$('<?= $l ?>').set('value', tinyMCE.get('<?= $l ?>').getContent());
		<?php endforeach; ?>
	});
	
	popup.addEvent('loaded', function () {
		
		if (typeof initTiny !== 'undefined' && typeof initTiny === 'function') { 
			initTiny();
		}else{
			initTinyCloud();
		}

		$$('.ri').addEvent('click', function() {
			removePhoto(this);
			
			return false;
		});

		$$('.rc').addEvent('click', function() {
			removeCover(this);

			return false;
		});
	
		uploader = new MooUpload(this.content.getElement('#filecontrol'), {
			action: '/blog/upload-html5',// Server side upload script
			method: 'html5',		// Use only HTML5 method		
			blocksize: 999999999,	// Load per one chunk
			multiple: true,
			onAddFiles: function() {},
			onFinishUpload: function() {},
			onFileUpload: function(fileindex, resp){
				if ( ! resp.error && resp.finish ) {
					
					var box = $$('.blog-photo')[0];
					
					var div = new Element('div').inject(box, 'bottom');
					var img = new Element('img', {
						'src' : resp.photo
					}).inject(div);
					
					var rem = new Element('a', {
						'href' : '#',
						'rel' : resp.image_id
					}).inject(div);
					
					rem.addEvent('click', function(e){
						e.stop();
						
						removePhoto(this);
					});
				} else if ( resp.error ) {
					if ( ! $$('#filecontrol_listView ul.errors').length ) {
						new Element('ul', {
							'class' : 'errors'
						}).inject($('filecontrol_listView'));
					}
					
					var li = new Element('li', {});
					
					li.inject($$('#filecontrol_listView ul.errors')[0]);
					
					new Element('span', {
						'html' : resp.name + ' - '
					}).inject(li);
					new Element('span', {
						'class' : 'mooupload_error',
						'html' : resp.msg
					}).inject(li);				
				}
				
				window.fireEvent('resize');
			}
		});

		cover_uploader = new MooUpload(this.content.getElement('#filecontrolcover'), {
			action: '/blog/upload-cover-html5',// Server side upload script
			method: 'html5',		// Use only HTML5 method
			blocksize: 999999999,	// Load per one chunk
			multiple: false,
			onAddFiles: function() {},
			onFinishUpload: function() {},
			onFileUpload: function(fileindex, resp){
				if ( ! resp.error && resp.finish ) {

					var box = $$('.blog-cover')[0];

					var div = new Element('div').inject(box, 'bottom');
					var img = new Element('img', {
						'src' : resp.photo
					}).inject(div);

					var rem = new Element('a', {
						'href' : '#',
						'rel' : resp.image_id
					}).inject(div);

					rem.addEvent('click', function(e){
						e.stop();

						removeCover(this);
					});
				} else if ( resp.error ) {
					if ( ! $$('#filecontrolcover_listView ul.errors').length ) {
						new Element('ul', {
							'class' : 'errors'
						}).inject($('filecontrolcover_listView'));
					}

					var li = new Element('li', {});

					li.inject($$('#filecontrolcover_listView ul.errors')[0]);

					new Element('span', {
						'html' : resp.name + ' - '
					}).inject(li);
					new Element('span', {
						'class' : 'mooupload_error',
						'html' : resp.msg
					}).inject(li);
				}

				window.fireEvent('resize');
			}
		});

		new mootabs('blog-tabs', { width: null, height: 'auto' });
	
		window.fireEvent('resize');
	});

	popup.addEvent('beforesubmit', function () {

	});
	
	var grid = Cubix.Grid.Instance = new Cubix.Grid('cx-grid', {
		identifier: { field: 'id' },
		header: [			
			{ title: 'P. ID', field: 'id', type: 'number', sortable: true, width: '50px' },
			{ title: 'Poster', field: 'username', type: 'string', sortable: true, width: '180px' },
			{ title: 'Title', field: 'title', type: 'string', sortable: true },
			{ title: 'Date', field: 'date', type: 'DateTime', sortable: true, width: '110px' },
			{ title: 'View Count', field: 'view_count', type: 'number', sortable: true, width: '110px' },
			{ title: 'Has Cover', field: 'cover_image_id', type: 'string', sortable: true, width: '80px' },
			{ title: 'Status', field: 'status', type: 'ToggleBlogStatus', sortable: true, width: '60px' },
			{ title: 'Special', field: 'special', type: 'ToggleBlogSpecial', sortable: true, width: '70px' },
			{ title: 'Slider', field: 'slider', type: 'ToggleBlogSlider', sortable: true, width: '70px' },
			{ title: 'Replies', field: 'reply_link', type: 'string', sortable: false, width: '47px' }
		],
		sort: {
			field: 'id',
			dir: 'desc'
		},
		actions: [ { type: 'remove', func: function (data) {
			if ( confirm('Are you sure you want to delete this row?') ) {
				this.overlay.disable();
				new Request({
					url: '/blog/remove?id=' + data.id,
					onSuccess: function (resp) {
						this.load();
					}.bind(this)
				}).send();
			}
		} }, { type: 'edit', func: function (data) {
			popup.setTitle('Edit Post');
			popup.load('<?= $this->baseUrl() ?>/blog/edit?id=' + data.id, function () {
				this.open();
			});
		} }
		],
		data: new Cubix.Grid.Loader({ url: '/blog/data', params: getFilterParams })
	});
		
	new Cubix.Button($('btn-refresh'), { onClick: function () {
		grid.load();
	}, icon: 'refresh', caption: 'Search', classes: '' });

	grid.addEvent('loaded', function() {		
		$$('.cx-grid-type-ToggleBlogStatus a').addEvent('click', function (e) {
			e.stop();
			new Request({
				url: this.get('href'),
				method: 'get',
				onSuccess: function(){
					grid.load();
				}
			}).send();
		});

		$$('.cx-grid-type-ToggleBlogSpecial a').addEvent('click', function (e) {
			e.stop();
			new Request({
				url: this.get('href'),
				method: 'get',
				onSuccess: function(){
					grid.load();
				}
			}).send();
		});
		
		$$('.cx-grid-type-ToggleBlogSlider a').addEvent('click', function (e) {
			e.stop();
			new Request({
				url: this.get('href'),
				method: 'get',
				onSuccess: function(){
					grid.load();
				}
			}).send();
		});
	});
	

	var clearForm = function() {
		var inputs = $$('.c-filter-form')[0].getElements('input');

		inputs.each(function(input) {
			var input_type = input.get('type');
			if ( input_type != 'hidden' ) {
				if ( input_type == 'text' ) {
					input.set('value', '');
				}
				else {
					input.set('checked', '');
				}
			}
		});

		var selects = $$('.c-filter-form')[0].getElements('select');

		selects.each(function(select) {
			select.set('value', '');
		});
	};
	
	new Cubix.Button($('btn-create'), { onClick: function () {
		popup.setTitle('Add Post'),
		popup.load('<?= $this->baseUrl() ?>/blog/create', popup.open);
	}, icon: 'add', caption: 'Add Post' });

	new Cubix.Button($('btn-reset'), { onClick: function () {
		clearForm();
		grid.load();
	}, icon: 'undo', caption: 'Reset Form', classes: 'ml20' });

	var initFormSubmit = function() {
		var inputs = $$('.c-filter-form')[0].getElements('input');

		inputs.each(function(input) {
			var input_type = input.get('type');

			if ( input_type != 'hidden' ) {
				if ( input_type == 'text' ) {
					input.addEvent('keyup', function(event) {
						if( event.key == 'enter' ) {
							grid.load();
						}
					});
				}
				else {
					input.addEvent('change', function(){
						grid.load();
					});
				}
			}
		});

		var selects = $$('.c-filter-form')[0].getElements('select');

		selects.addEvent('change', function(){
			grid.load();
		});
	};

	initFormSubmit();
};
</script>

<? $DEFINITIONS = Zend_Registry::get('defines'); ?>

<div class="form-common gray c-filter-form">
	<form id="a-search-form">
		<fieldset class="inner mb10">			
			<div class="inner">
				<label for="id">Post ID</label>
				<input type="text" class="txt w6" name="id" value="<?= $this->filter_params['id'] ?>" />
			</div>
			
			<div class="inner">
				<label for="title">Title</label>
				<input type="text" class="txt w14" name="title" value="<?= $this->filter_params['title'] ?>" />
			</div>
			
			<div class="inner">
				<label for="post">Post</label>
				<input type="text" class="txt w14" name="ppost" value="<?= $this->filter_params['post'] ?>" />
			</div>
			
			<div class="inner">
				<label for="backend_user_id">Sales Person</label>
				<select id="backend_user_id" name="backend_user_id" class="w14" >
					<option value=""> - any - </option>
					<? $model = new Model_Moderators(); foreach ( $model->getByApplicationId($this->request()->application_id) as $user ): ?>
						<option value="<?= $user->id ?>" <?= ( $this->filter_params['backend_user_id'] == $user->id ) ? 'selected="selected"' : '' ?>><?= $user->username ?></option>
					<? endforeach; ?>
				</select>
			</div>
			
			<div class="inner">
				<label for="status">Status</label>
				<select name="status" id="status">
					<option value="">--- All ---</option>
					<? foreach ($DEFINITIONS['blog_statues'] as $k => $v): ?>
						<option value="<?= $k ?>" <?= ( $this->filter_params['status'] === $k ) ? 'selected="selected"' : '' ?>><?= $v ?></option>
					<? endforeach; ?>
				</select>
			</div>
			

			<div class="inner">
				<label for="missing-tr">Missing translation</label>
				<select id="missing-tr"name="missing_tr" class="w12" >
					<option value="">------</option>
					<? $langs = Cubix_I18n::getLangs(true);
					foreach ($langs as $lang):?>
						<option value="<?= $lang ?>" ><?= $DEFINITIONS['language_options'][$lang] ?></option>
					<? endforeach;?>
				</select>
			</div>

			<div class="inner">
				<label for="category">Category</label>
				<select id="category" name="filter_category" class="w12" >
					<option value="">--- All ---</option>
					<option value="0">No category</option>
					<? foreach ($this->cats as $cat): ?>
						<option value="<?=$cat->id?>" <?= ( $this->filter_params['category_id'] === $cat->id ) ? 'selected="selected"' : '' ?>><?=$cat->title?></option>
					<? endforeach; ?>
				</select>
			</div>

			<!-- <div class="inner">
				<label for="layout">Layout</label>
				<select name="layout" id="layout">
					<option value="">--- All ---</option>
					<? foreach ($DEFINITIONS['blog_category_layouts'] as $k => $v): ?>
						<option value="<?= $k ?>" <?= ( $this->filter_params['layout'] === $k ) ? 'selected="selected"' : '' ?>><?= $v ?></option>
					<? endforeach; ?>
				</select>
			</div> -->
			
			<div class="clear"></div>
		</fieldset>
		
		<div class="clear"></div>
		
		<a id="btn-refresh"></a>
		<a id="btn-reset"></a>
		<div class="clear"></div>
	</form>
</div><!-- form-common -->

<div id="grid-show-count" class="fleft grid-show-count"><span></span> - Posts Found</div>

<div class="clear"></div>

<div class="mt10 fleft">
	<a id="btn-create"></a>
	<div class="clear"></div>
</div>

<div class="clear"></div>

<div id="ajax-dest">
	<div id="cx-grid">
	</div>
</div>
